# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Shell.pm) unzip
# END SourceDeps(oneline)
BuildRequires: perl(Authen/PAM.pm)
BuildRequires: /proc
BuildRequires: jpackage-compat
BuildRequires: rpm-build-java-osgi
%if 0%{?rhel} >= 6
%global debug_package %{nil}
%endif
%global install_loc         %{_datadir}/eclipse/dropins
%global rseserver_install   %{_datadir}/eclipse-rse-server
%global rseserver_java      %{_datadir}/java/eclipse-rse-server
%global rseserver_config    %{_sysconfdir}/sysconfig/rseserver
%global qualifier	    201205300905

Name: eclipse-rse
Summary: Eclipse Remote System Explorer
Version: 3.4
Release: alt2_3jpp7
License: EPL
URL: http://www.eclipse.org/dsdp/tm/

# Following tarball generated by running fetch-rse.sh.
Source0: rse-fetched-src-R3_4.tar.gz
Source1: fetch-rse.sh
# Following property files are generated by fetch-rse.sh.
Source2: featureVersions.properties
Source3: pluginVersions.properties
Source4: notice.html
Source5: epl-v10.html

# Use Authen::pam to authenticate clients
Patch1: eclipse-rse-server-auth-pl.patch
# Fix classpath in daemon and server scripts to point
# to install locations
Patch2: eclipse-rse-server-scripts.patch


%if 0%{?rhel} >= 6
ExclusiveArch: i686 x86_64
%else
BuildArch: noarch
%endif

BuildRequires: eclipse-pde >= 1:3.8.0-0.21
BuildRequires: eclipse-emf >= 0:2.4.1
BuildRequires: apache-commons-net >= 0:1.4.1-5.4
Requires: eclipse-platform >= 1:3.8.0-0.21
Requires: eclipse-emf >= 0:2.4.1
Requires: apache-commons-net >= 0:2.0

Group: Development/Java
Source44: import.info

%description
Remote System Explorer (RSE) is a framework and toolkit in Eclipse Workbench
that allows you to connect and work with a variety of remote systems.

%package server
Summary: Eclipse Remote System Explorer Server
Group: Development/Java
Requires: perl
Requires: perl-Authen-PAM

%description server
The Remote System Explorer (RSE) framework server that can be used so clients can connect to this machine via RSE.

%prep
%setup -q -c

cp %{SOURCE4} .
cp %{SOURCE5} .

pushd org.eclipse.rse.services.dstore
%patch1
%patch2
popd

%build

rm -rf orbitdeps
mkdir orbitdeps
pushd orbitdeps
ln -s %{_javadir}/commons-net.jar org.apache.commons.net_2.0.jar
popd

mkdir -p build

pushd build
cp %{SOURCE2} .
cp %{SOURCE3} .
popd

%{_bindir}/eclipse-pdebuild -f org.eclipse.tm.terminal -d "emf" \
-a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DgenerateFeatureVersionSuffix=true" -j -DJ2SE_1.5=%{_jvmdir}/java/jre/lib/rt.jar -o `pwd`/orbitdeps

%{_bindir}/eclipse-pdebuild -f org.eclipse.rse.sdk \
-a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DgenerateFeatureVersionSuffix=true" -j -DJ2SE_1.5=%{_jvmdir}/java/jre/lib/rt.jar -o `pwd`/orbitdeps

%{_bindir}/eclipse-pdebuild -f org.eclipse.rse.useractions \
-a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DgenerateFeatureVersionSuffix=true" -j -DJ2SE_1.5=%{_jvmdir}/java/jre/lib/rt.jar -o `pwd`/orbitdeps

%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/rse
install -d -m 755 %{buildroot}%{rseserver_install}
install -d -m 755 %{buildroot}%{rseserver_java}
install -d -m 755 %{buildroot}%{rseserver_config}

unzip -q -o -d %{buildroot}%{install_loc}/rse \
 build/rpmBuild/org.eclipse.tm.terminal.zip

unzip -q -o -d %{buildroot}%{install_loc}/rse \
 build/rpmBuild/org.eclipse.rse.sdk.zip

unzip -q -o -d %{buildroot}%{install_loc}/rse \
 build/rpmBuild/org.eclipse.rse.useractions.zip

pushd %{buildroot}%{install_loc}/rse/eclipse/plugins
rm org.apache.commons.net_3.2.0*.jar
ln -s %{_javadir}/commons-net.jar org.apache.commons.net_3.2.0.jar
popd

pushd %{buildroot}%{install_loc}/rse/eclipse/plugins
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.rse.services.dstore_*.jar dstore_miners.jar
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.dstore.core_*.jar dstore_core.jar
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.dstore.extra_*.jar dstore_extra_server.jar
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.rse.services_*.jar clientserver.jar
# Remove server-specific jar files from plug-ins
jarname=`ls org.eclipse.rse.services.dstore_*.jar`
zip -d $jarname dstore_miners.jar
jarname=`ls org.eclipse.dstore.core_*.jar`
zip -d $jarname dstore_core.jar
jarname=`ls org.eclipse.dstore.extra_*.jar`
zip -d $jarname dstore_extra_server.jar
jarname=`ls org.eclipse.rse.services_*.jar`
zip -d $jarname clientserver.jar
popd

pushd org.eclipse.rse.services.dstore
pushd serverruntime/scripts/linux
cp *.pl %{buildroot}%{rseserver_install}
popd
pushd serverruntime/data
cp *.properties %{buildroot}%{rseserver_config}
cp *.dat %{buildroot}%{rseserver_install}
popd
popd

%files
%{install_loc}/rse
%doc org.eclipse.rse.sdk-feature/epl-v10.html
%doc org.eclipse.rse.sdk-feature/license.html

%files server
%{rseserver_install}
%{rseserver_java}
%{rseserver_config}
%config(noreplace) %{rseserver_config}/ssl.properties
%config(noreplace) %{rseserver_config}/rsecomm.properties
%doc notice.html
%doc epl-v10.html

%changelog
* Tue Mar 05 2013 Igor Vlasenko <viy@altlinux.ru> 3.4-alt2_3jpp7
- commons-net 3.2 support

* Wed Sep 12 2012 Igor Vlasenko <viy@altlinux.ru> 3.4-alt1_3jpp7
- new version

* Wed Sep 14 2011 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_3jpp6
- update to new release by jppimport

* Thu Mar 10 2011 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_1jpp6
- new version

* Thu Dec 02 2010 Igor Vlasenko <viy@altlinux.ru> 3.1.1-alt1_3jpp6
- new version

* Thu Feb 04 2010 Igor Vlasenko <viy@altlinux.ru> 3.1-alt1_2jpp5
- first build; note: use embedded jakarta-commons-net 2.0

